libpdfbox-java (1:1.8.16-4) unstable; urgency=medium

  * Drop examples from libpdfbox-java to avoid overwriting files in
    the deprecated libpdfbox-java-doc binary package (Closes: #1041387)

 -- tony mancill <tmancill@debian.org>  Tue, 18 Jul 2023 07:26:09 -0700

libpdfbox-java (1:1.8.16-3) unstable; urgency=medium

  [ gregor herrmann ]
  * Remove myself from Uploaders.
  * debian/control: move javahelper from Build-Depends-Indep
    to Build-Depends.
    It is used during clean via the javahelper debhelper addon.
  * debian/rules: use version of aglfn instead of lcdf-typetools.
    This change was missing in 40c228a. (Closes: #1040686)
  * debian/rules: rename override_dh_auto_{configure,build} to -indep.
    We are not building any architecture dependent packages.

  [ tony mancill ]
  * Set Rules-Requires-Root: no in debian/control
  * Use debhelper-compat 13
  * Bump Standards-Version to 4.6.2
  * No longer build or distribute javadoc packages:
    libpdfbox-java-doc, libjempbox-java-doc, libfontbox-java-doc
  * Drop build-dep on libmaven-javadoc-plugin-java
  * Add missing Apache NOTICE file

 -- tony mancill <tmancill@debian.org>  Mon, 10 Jul 2023 21:45:30 -0700

libpdfbox-java (1:1.8.16-2) unstable; urgency=medium

  * Use glyphlist.txt from aglfn instead of lcdf-typetools during build.
    (Closes: #922719)
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.3.0.
  * Update Vcs-* fields to point to salsa.debian.org.
  * Drop unneeded version constraint of libbcpkix-java build dependency.
  * Remove ancient Breaks/Replaces on pre-oldoldstable package versions.
  * Remove trailing whitespace from debian/changelog.
  * debian/rules: drop get-orig-source target (uscan call).
  * Use HTTPS for a couple of URLs in debian/*.
  * Minimize debian/upstream/signing-key.asc.

 -- gregor herrmann <gregoa@debian.org>  Tue, 19 Feb 2019 23:08:51 +0100

libpdfbox-java (1:1.8.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.8.16.
    - Fix CVE-2018-11797: denial-of-service via specially crafted PDF file.
      (Closes: #910390)
  * Declare compliance with Debian Policy 4.2.1.

 -- Markus Koschany <apo@debian.org>  Sat, 06 Oct 2018 15:47:18 +0200

libpdfbox-java (1:1.8.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.8.15.
    - Fix CVE-2018-8036. (Closes: #902776)
  * Declare compliance with Debian Policy 4.1.4.
  * Switch to compat level 11.

 -- Markus Koschany <apo@debian.org>  Sat, 30 Jun 2018 21:08:37 +0200

libpdfbox-java (1:1.8.13-2) unstable; urgency=medium

  * Address FTBFS in debian/rules (Closes: #887939)
  * Use https URL for Homepage in debian/control
  * Bump Standards-Version to 4.1.3
  * Remove unused debian/patches.

 -- tony mancill <tmancill@debian.org>  Sun, 21 Jan 2018 19:19:48 -0800

libpdfbox-java (1:1.8.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.8.13.
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 4.0.0.
  * Use https for Format field.
  * get-orig-source: Use --download-current-version option.
  * Ignore com.github.jai-imageio artifacts.
  * Refresh 01-bouncycastle-compatibility.patch.

 -- Markus Koschany <apo@debian.org>  Wed, 26 Jul 2017 22:13:10 +0200

libpdfbox-java (1:1.8.12-1) unstable; urgency=high

  * New upstream release
    - Fixes CVE-2016-2175: XML External Entity vulnerability
  * Build with maven-debian-helper instead of ant
  * Removed the non-free 'sRGB Color Space Profile.icm' file from the tarball
  * Merged the BouncyCastle patches
  * Standards-Version updated to 3.9.8 (no changes)
  * Use a secure Vcs-Git URL

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 01 Jun 2016 08:31:37 +0200

libpdfbox-java (1:1.8.11+dfsg-1) unstable; urgency=medium

  * debian/watch: add repacksuffix to get back +dfsg in the version.
  * Import upstream version 1.8.11+dfsg.
  * Refresh patches.
  * debian/copyright: drop stanza about debian/repack.stub which was
    removed in 1:1.8.10-1. Also drop now unneeded license paragraphs.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sat, 23 Jan 2016 18:27:24 +0100

libpdfbox-java (1:1.8.10-2) unstable; urgency=medium

  * Team upload.
  * Add 05_bc1.51.patch to build against bouncycastle 1.51.

 -- tony mancill <tmancill@debian.org>  Mon, 07 Dec 2015 18:17:16 -0800

libpdfbox-java (1:1.8.10-1) unstable; urgency=medium

  * New upstream release.
    - Refreshed the patches
    - Adapted debian/*.poms to work with any version
  * Improved the reproducibility:
    - Set the locale when generating the javadoc
    - Removed the timestamp from pdfbox.version
  * Removed the unused build dependency on liblucene2-java
  * Changed the priority from extra to optional
  * Clean the upstream tarball using the Files-Excluded field
    in debian/copyright
  * Switch to debhelper level 9

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 18 Nov 2015 19:07:11 +0100

libpdfbox-java (1:1.8.7+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches (offset, fuzz).
  * Update version number in debian/*.poms.
  * Use cgit URL for Vcs-Browser in debian/control.
  * Declare compliance with Debian Policy 3.9.6.

 -- gregor herrmann <gregoa@debian.org>  Fri, 19 Sep 2014 17:21:41 +0200

libpdfbox-java (1:1.8.6+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update version number in debian/*.poms.
  * Refresh patches (offset).

 -- gregor herrmann <gregoa@debian.org>  Mon, 23 Jun 2014 17:28:59 +0200

libpdfbox-java (1:1.8.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh build.xml.patch.
  * Update years of upstream copyright.
  * Update version number in debian/*.poms.
  * debian/copyright: update URL in Source field.
  * debian/control: update URL in Vcs-Browser field.

 -- gregor herrmann <gregoa@debian.org>  Fri, 02 May 2014 19:04:00 +0200

libpdfbox-java (1:1.8.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update jar version in debian/*.poms.
  * Refresh build.xml.patch (fuzz due to version number).
  * Update years of packaging copyright.
  * Add pgpsigurlmangle and filenamemangle in debian/watch and
    debian/upstream/signing-key.asc.

 -- gregor herrmann <gregoa@debian.org>  Wed, 05 Feb 2014 19:09:51 +0100

libpdfbox-java (1:1.8.3+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Remove another non-free file during repackaging,
    that appears in 1.8.3.
  * Refresh patches (offset).
  * Update debian/*.pom. Bump version in jar filenames.
  * Don't install empty examples directory.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Fri, 29 Nov 2013 18:30:14 +0100

libpdfbox-java (1:1.8.2+dfsg-2) unstable; urgency=low

  * Updated bc-1.47.patch to also work with Bouncy Castle 1.49
  * Install the jars and the poms in /usr/share/maven-repo
  * Removed the test classes from the jars

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 22 Jul 2013 15:33:02 +0200

libpdfbox-java (1:1.8.2+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Refresh build.xml.patch (offset).
  * Update years of upstream and packaging copyright.
  * Update filenames in .install and .links files.
  * Adjust to newer Bouncy Castle:
    - add patch bc-1.47.patch to handle changed method names
    - add build dependency on libbcpkix-java
    - make build dependencies on libbc.*-java versioned
    - add /usr/share/java/bcpkix.jar to CLASSPATH in debian/rules
    This fixes a not-yet-reported FTBFS bug.
  * debian/control:
    - set Standards-Version to 3.9.4 (no changes)
    - make URLs in Vcs-* files canonical
    - add Built-Using field to libpdfbox-java binary package
  * Update debian/repack.stub.

 -- gregor herrmann <gregoa@debian.org>  Sun, 02 Jun 2013 19:19:52 +0200

libpdfbox-java (1:1.7.0+dfsg-4) unstable; urgency=low

  * Fix installation of CMap tables during build:
    - debian/control:
      replace build-dependeny on removed packages cmap-adobe-* and
      gs-cjk-resource with their successor poppler-data.
    - debian/rules:
      adjust path to CMap files accordingly; and guard against future failures
      by using the idiomatic "find -print0 | xargs -r0" construct.
    Thanks to Lucas Nussbaum for the bug report.
    (Closes: #699254)

 -- gregor herrmann <gregoa@debian.org>  Tue, 29 Jan 2013 17:07:45 +0100

libpdfbox-java (1:1.7.0+dfsg-3) unstable; urgency=low

  * debian/libpdfbox-java.classpath: add libfontbox-java to manifest
  * debian/control: add javahelper to build-depends

 -- tony mancill <tmancill@debian.org>  Thu, 12 Jul 2012 19:27:17 -0700

libpdfbox-java (1:1.7.0+dfsg-2) unstable; urgency=low

  * debian/control: add dependency on libfontbox-java to libpdfbox-java.
    Thanks to Tom Parker for the bug report. (Closes: #680778)

 -- gregor herrmann <gregoa@debian.org>  Thu, 12 Jul 2012 12:20:11 -0600

libpdfbox-java (1:1.7.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Update filename (versioned jar) in debian/*.{install,links} files.
  * Install new examples into libpdfbox-java-doc package.
  * Update years of upstream and packaging copyright, add new third-party
    copyright.
  * debian/copyright: update to Copyright-Format 1.0.
  * Update package descritpions according to new upstream wording.

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 Jun 2012 03:51:29 +0200

libpdfbox-java (1:1.6.0+dfsg-2) unstable; urgency=low

  [ gregor herrmann ]
  * Update Vcs-* headers.

  [ tony mancill ]
  * Update Maintainer field for Java team maintenance.
  * Add gregor to Uploaders.
  * Set Standards-Version to 3.9.3 (no changes).

 -- tony mancill <tmancill@debian.org>  Tue, 29 May 2012 11:20:57 -0700

libpdfbox-java (1:1.6.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Set Standards-Version to 3.9.2 (no changes).
  * Bump debhelper compatibility level to 8.
  * Update filenames in debian/*.{install,links}.
  * Remove runtime dependency on JRE (thanks lintian).

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 Jul 2011 18:12:58 +0200

libpdfbox-java (1:1.5.0+dfsg-2) unstable; urgency=low

  * libfontbox-java-doc: add Breaks/Replaces on libfontbox-java.

 -- gregor herrmann <gregoa@debian.org>  Thu, 31 Mar 2011 16:40:03 +0200

libpdfbox-java (1:1.5.0+dfsg-1) unstable; urgency=low

  [ gregor herrmann ]
  * New upstream release (closes: #618534).
  * debian/watch: update to new download location.
  * debian/repack.local, debian/clean and debian/rules: adjust paths to
    third-party resources.
  * Update debian/copyright.
  * Install RELEASE-NOTES.txt as upstream changelog.
  * Remove old patches; add new patch build.xml to build again against Debian
    libraries.
  * Remove javahelper support and build with ant.
  * Remove unused lintian override.
  * Adjust .install and .links files.
  * debian/control:
    - update homepage
    - update build dependencies
    - the upstream source now also includes JempBox and FontBox, create the
      libjempbox-java and libfontbox-java (and -doc) packages from the
      libpdfbox-java source package
    - add versioned Breaks on jabref
  * Register API docs with doc-base system.

  [ tony mancill ]
  * Add separate API doc packages libjempbox-java-doc and
    libfontbox-java-doc.

 -- gregor herrmann <gregoa@debian.org>  Wed, 30 Mar 2011 20:18:16 +0200

libpdfbox-java (1:0.7.3+dfsg-4) unstable; urgency=low

  * debian/rules: Add ant properties to compile code with target JVM 1.4.
    Closes: #592118. Thanks to Artur Rona for forwarding this patch from
    Ubuntu.
  * More conversion to javahelper: change some files to use jh_* instead of
    dh_*.
  * Add a lintian override for a false positive warning about doc-base
    registration.

 -- gregor herrmann <gregoa@debian.org>  Sun, 22 Aug 2010 11:48:41 +0200

libpdfbox-java (1:0.7.3+dfsg-3) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: change build dependency from default-jdk-builddep to
    default-jdk.
  * Remove spurious hunks from 01_buildxml.patch, refresh other patches.
  * Adjust package description to reality (i.e. there are no command line
    tools included); thanks to Achim Gädke for the bug report
    (closes: #568936).

  [ tony mancill ]
  * Bump standards version to 3.9.1 (no changes).
  * Depend on javahelper.
  * Convert to source format 3.0 (quilt); remove b-d on quilt.

 -- tony mancill <tmancill@debian.org>  Fri, 06 Aug 2010 17:47:17 -0700

libpdfbox-java (1:0.7.3+dfsg-2) unstable; urgency=low

  * Add back build dependency on gs-cjk-resource, now that it has moved to
    main.
  * debian/copyright: update formatting and years of packaging copyright.
  * Remove debian/dirs, dh_install takes care of it anyway.

 -- gregor herrmann <gregoa@debian.org>  Sun, 17 Jan 2010 17:43:46 +0100

libpdfbox-java (1:0.7.3+dfsg-1) unstable; urgency=low

  * Switch repacking framework from dh_wraporig to repack.sh; remove
    dh_wraporig part from debian/README.source.
  * Change repacking suffix to '+dfsg'; add epoch to version.
  * Drop build dependency on gs-cjk-resource and move package from contrib to
    main (closes: #548186). Remove note about the reason for being in contrib
    from debian/copyright.
  * Set Standards-Version to 3.8.3 (no changes).
  * Switch to debhelper 7 (debian/{control,compat,rules,clean}).
  * debian/control: (build) depend on default-jdk-builddep/
    default-jre-headless.
  * Install upstream changelog.

 -- gregor herrmann <gregoa@debian.org>  Sun, 27 Dec 2009 21:32:11 +0100

libpdfbox-java (0.7.3.dfsg-3) unstable; urgency=low

  * Change XS-Vcs-* fields to Vcs-*.
  * Set Standards-Version to 3.8.2: Rename debian/README.Debian-source to
    debian/README.source and mention quilt usage.
  * debian/rules: explicitly set JAVA_HOME; create install-stamp target.
  * Change debian/copyright to some version of the new machine-readable
    format.
  * Change patch system from dpatch to quilt.
  * debian/control: set Section to java.
  * Change my email address in debian/rules and debian/copyright.
  * debian/copyright: add a note why libpdfbox-java is in contrib; thanks to
    Bastien ROUCARIES for the bug report (closes: #539311).
  * debian/rules: add "-n" to the "cp" command.

 -- gregor herrmann <gregoa@debian.org>  Mon, 10 Aug 2009 18:39:40 +0200

libpdfbox-java (0.7.3.dfsg-2) unstable; urgency=low

  * Move upstream URL from the description to the new Homepage field.
  * Fix typo in short description, thanks to Marco van Zwetselaar
    (closes: #444772).

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sun, 30 Sep 2007 22:19:47 +0200

libpdfbox-java (0.7.3.dfsg-1) unstable; urgency=low

  * Initial release (closes: #404519).

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sun, 26 Aug 2007 18:12:52 +0200
